curl --request GET \
--url https://api.ngrok.ai/providers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ngrok.ai/providers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ngrok.ai/providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"providerId": "<string>",
"name": "<string>",
"baseUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"uri": "<string>"
},
"lastUpdatedBy": {
"id": "<string>",
"uri": "<string>"
},
"metadata": "<string>",
"supportedApiSurfaces": [
{
"format": "<string>",
"surface": "<string>",
"supportedParams": [
{
"name": "<string>"
}
]
}
],
"models": [
{
"id": "<string>",
"modelId": "<string>"
}
]
}{
"statusCode": 123,
"msg": "<string>",
"details": {},
"errorCode": "<string>"
}Get an AI Gateway provider
Get a single AI Gateway provider by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for an AI Gateway provider.
Response
The AI Gateway provider.
Unique identifier for this provider.
URI of this AI Gateway Provider API resource.
Provider identifier used as the address segment in model strings (for example "internal-vllm").
User-friendly label for this provider.
Base URL of the provider's API endpoint.
Timestamp when the provider was created.
Timestamp when the provider was last updated.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Arbitrary user-defined metadata for this provider.
API surfaces supported by this provider.
Show child attributes
Show child attributes
Models exposed by this provider.
Show child attributes
Show child attributes
Was this page helpful?